const CasStrategy = require("passport-cas").Strategy;
const { findByUsername } = require("../../repository/userRepository");

const casStrategy = new CasStrategy(
  {
    version: "CAS3.0",
    ssoBaseURL: "https://login.vt.edu/profile/cas",
    serverBaseURL: "https://corpsdirectory.discovery.cs.vt.edu/api",
    validateURL: "/serviceValidate", // not sure what this is for
  },
  async function (profile, done) {
    try {
      console.log("CAS Profile received:", profile);

      // get the user value from profile
      var username = profile.user;
      console.log("Extracted Username from CAS Profile:", username);

      // see if the user exists in the database
      const user = await findByUsername(username);
      console.log("completed findByUser");

      if (user) {
        // found user
        console.log("Found User: " + username);
        return done(null, user);
      } else {
        // did not find user
        console.log("Unable to find user: " + username);
        return done(null, null);
      }
    } catch (err) {
      console.error("Error in CAS Strategy: ", err);
      return done(err);
    }
  }
);

module.exports = casStrategy;
