const jwt = require("jsonwebtoken");
const JWT_SECRET = "secret_key";

// Middleware to verify JWT
const authenticateJWT = (req, res, next) => {
  // Get token from Authorization header
  const token = req.headers.authorization?.split(" ")[1];

  // return early if no token provided
  if (!token) {
    return res
      .status(403)
      .json({ message: "Access denied. No token provided." });
  }

  // Verify the token
  jwt.verify(token, JWT_SECRET, (err, user) => {
    if (err) {
      return res.status(403).json({ message: "Invalid or expired token." });
    }

    // Attach the decoded user information to the request
    req.user = user;
    next();
  });
};

module.exports = authenticateJWT;
