const { pool } = require("../config/database/database.config");

/*
Function to add a row into the peopleContact
table with the contact info given
*/
async function addContact(contact, peopleId) {
  // extract the parts of the contact
  let { contactNumber, contactType, preferredContact } = contact;

  console.log("adding contact....");

  try {
    // query for adding the contact
    const query = `
        INSERT INTO peopleContact (peopleId, contactNumber, contactType, preferredContact)
        VALUES (?,?,?,?)
    `;

    // insert data into db
    const [results] = await pool.query(query, [
      peopleId,
      contactNumber,
      contactType,
      preferredContact,
    ]);

    return results;
  } catch (error) {
    console.log(error);
    return null;
  }
}

module.exports = { addContact };
