const { pool } = require("../config/database/database.config");

/*
Add degree information into the database.
*/
async function addDegree(degree, peopleId) {
  // get all the parts of the degree
  let {
    degreeType,
    degreeDepartment,
    degreeCollege,
    degreeYear,
    degreeDescription,
  } = degree;

  console.log("adding degree...");

  try {
    // Use the helper function to determine the degreeTypeId
    let degreeTypeId = await _lookupDegreeTypeId(degreeType);

    // query to insert degree info
    const query = `
        INSERT INTO peopleDegree (peopleId, degreeTypeId, degreeDepartment, degreeCollege, degreeYear, degreeDescription)
        VALUES (?,?,?,?,?,?)
    `;

    // insert data into db
    const [results] = await pool.query(query, [
      peopleId,
      degreeTypeId,
      degreeDepartment,
      degreeCollege,
      degreeYear,
      degreeDescription,
    ]);

    return results;
  } catch (error) {
    // return null if there is an error
    console.error(error);
    return null;
  }
}

// Private helper function to look up the degreeTypeId
async function _lookupDegreeTypeId(degreeType) {
  try {
    // return null for now
    return null;

    // const lookupQuery = `
    //   SELECT degreeTypeId FROM degreeTypeLookup WHERE degreeType = ?
    // `;
    // const [lookupResults] = await pool.query(lookupQuery, [degreeType]);

    // if (lookupResults.length === 0) {
    //   console.log("Degree type not found");
    //   return null;
    //   // throw new Error(`Invalid degree type: ${degreeType}`);
    // }

    // return lookupResults[0].degreeTypeId;
  } catch (error) {
    console.error(`Error looking up degree type: ${degreeType}`, error);
    throw error;
  }
}

module.exports = { addDegree, _lookupDegreeTypeId };
