const express = require("express");
const userRouter = express.Router();
const authenticateJWT = require("../config/auth/authenticateJWT");

// public route, no need to check for token
userRouter.get("/public", (req, res) => {
  res.status(200).json({
    message: "Public user route. No token required",
  });
});

// route that only admins can use, must check token
userRouter.get("/admin", authenticateJWT, (req, res) => {
  console.log("user: ", req.user);
  if (req.user.role !== "admin") {
    return res.status(403).json({
      message: "User is not an admin",
      user: req.user,
    });
  }

  res.status(200).json({
    message: "Admin content shown bc JWT token was shown to belong to an admin",
  });
});

module.exports = userRouter;
