import React, { useEffect, useState } from "react";
import { useNavigate } from "react-router-dom";
import "./AdminHome.css";

function AdminHome() {
  const [isSidebarOpen, setSidebarOpen] = useState(true);

  const toggleSidebar = () => {
    setSidebarOpen(!isSidebarOpen);
  };

  return (
    <div className="admin-page">
      {/* Navbar */}
      <nav className="navbar">
        <div className="navbar-links">
          <a href="#">Home</a>
          <a href="#">Browse</a>
          <a href="#">Search</a>
          <a href="#">Messages</a>
        </div>
      </nav>

      {/* Main content wrapper */}
      <div className="main-content">
        {/* Sidebar */}
        <div className={`sidebar ${isSidebarOpen ? "open" : "closed"}`}>
          <button className="sidebar-toggle" onClick={toggleSidebar}>
            {isSidebarOpen ? "←" : "→"}
          </button>
          {isSidebarOpen && (
            <ul className="sidebar-menu">
              <li><a href="#">Account Settings</a></li>
              <li><a href="#">Privacy Policy</a></li>
              <li><a href="#">More...</a></li>
            </ul>
          )}
        </div>

        {/* Dashboard area */}
        <div className="content">
          <h1>Welcome to Admin Page</h1>
          <div className="dashboard">
            <div className="dashboard-item" onClick={() => console.log("Viewing Users")}>
              <span>View Users</span>
            </div>
            <div className="dashboard-item" onClick={() => console.log("Editing Users")}>
              <span>Edit Users</span>
            </div>
            <div className="dashboard-item" onClick={() => console.log("Deleting Users")}>
              <span>Delete Users</span>
            </div>
            <div className="dashboard-item">
              <input type="file" onChange={() => console.log("CSV Uploaded")} />
              <span>Upload CSV</span>
            </div>
            <div className="dashboard-item" onClick={() => console.log("Tracking Page Visits")}>
              <span>Track Application Activity</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
}

export default AdminHome;
