import "./Login.css";
import user_icon from "../assets/person.png";
import React, { useContext, useEffect } from "react";
import { useNavigate } from "react-router-dom";
import axios from "axios";

function Login() {
  const navigate = useNavigate();

  // call backend CAS for login
  const handleLogin = () => {
    // Replace with your backend login endpoint
    const casLoginUrl = `${process.env.REACT_APP_API_URL}/login`;

    // Redirect the user to the CAS login page via your backend
    window.location.href = casLoginUrl;
  };

  // redirect to home page without a jwt token
  const handleGuest = () => {
    navigate("/home");
  };

  return (
    <div className="container">
      <div className="header">
        <div className="text">VT Corps Directory Log In Page</div>
        <div className="underline"></div>
      </div>
      <div className="inputs">
        <div className="home-auth">
          <button className="login-button" onClick={handleLogin}>
            Login with CAS
          </button>
        </div>
        <div className="home-auth">
          <button className="guest-button" onClick={handleGuest}>
            Continue as Guest
          </button>
        </div>
      </div>
      {/* <div className="forgot-password">Forgot Password <span> Click here</span></div> */}
      <div className="submitTerms">
        I agree to terms of use
        <img src={user_icon} alt="" />
      </div>
    </div>
  );
}

export default Login;
