import React from "react";
import ReactDOM from "react-dom/client";
import "./index.css";
import App from "./App";
import reportWebVitals from "./reportWebVitals";

const apiUrl = process.env.REACT_APP_API_URL;
const environment = process.env.NODE_ENV;
const serverUrl =
  environment === "development" ? "http://localhost:3000" : apiUrl;

console.log(`App started on ${serverUrl} in ${environment} mode`);

const root = ReactDOM.createRoot(document.getElementById("root"));
root.render(
  <React.StrictMode>
    <App />
  </React.StrictMode>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
