import React, { useContext } from "react";
import { Navigate } from "react-router-dom";
import { UserContext } from "../util/UserContext";

/*
 *   NOTE: need to do one of these for each type of user
 */
const ProtectedRoute = ({ children }) => {
  const { user } = useContext(UserContext); // Access global user state from context

  // If the user is authenticated, render the component
  if (user.isAuthenticated) {
    return children;
  } else {
    // If not authenticated, redirect to the login page
    return <Navigate to="/login" />;
  }
};

export default ProtectedRoute;
